#### CODETABLE

#### Synopsis

    HELP:   Code table file name
    TYPE:   STRING
    SYNTAX: CODETABLE='str'

#### Description

If code translation has been activated, the specified code table is used (WINDOWS only).

The first 256 characters refer to the function translate=e/a.

The characters 257 - 512 refer to the function translate=a/e.

If the file has only 256 characters, these characters will be used for e/a and a/e as well.

In this way, a table can serve as conversion tool for lowercase to uppercase letters or for the adjustment of umlauts, e.g. OEM<>ANSI.

Parameters in the same context: TRANSLATE for UNIX, WINDOWS and z/OS.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - see TRANSLATE for `translate=translation` option. This parameter induces a code conversion of the data of the original file before compression
- UNIX
  - see TRANSLATE `-translate=code` table. This specifies a file containing the code table.
- WINDOWS
  - `codetable=<name of code table>`
  - `cod=<name of code table>`

Values

- WINDOWS
  - name of code table

Default

- none

Valid for

- compression
- decompression